aboutsummaryrefslogtreecommitdiff
path: root/python/pyarmnn/init_devenv.sh
diff options
context:
space:
mode:
authorMatthew Bentham <Matthew.Bentham@arm.com>2019-12-02 12:59:43 +0000
committerMatthew Bentham <Matthew.Bentham@arm.com>2019-12-02 16:23:45 +0000
commit245d64c60d0ea30f5080ff53225b5169927e24d6 (patch)
treed623e46d7d5ddb34ef3bb84c45df3ada9209ce82 /python/pyarmnn/init_devenv.sh
parent88d5f9f1615fa956464b8932b574d85c37cec937 (diff)
downloadarmnn-245d64c60d0ea30f5080ff53225b5169927e24d6.tar.gz
Work in progress of python bindings for Arm NNexperimental/pyarmnn
Not built or tested in any way Signed-off-by: Matthew Bentham <Matthew.Bentham@arm.com> Change-Id: Ie7f92b529aa5087130f0c5cc8c17db1581373236
Diffstat (limited to 'python/pyarmnn/init_devenv.sh')
-rwxr-xr-xpython/pyarmnn/init_devenv.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/python/pyarmnn/init_devenv.sh b/python/pyarmnn/init_devenv.sh
new file mode 100755
index 0000000000..f19a076ef9
--- /dev/null
+++ b/python/pyarmnn/init_devenv.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -e
+
+JENKINS_BUILD=0
+while getopts ":j" opt; do
+ case "$opt" in
+ j) JENKINS_BUILD=1 ;;
+ esac
+done
+
+python3.6 -m venv toxenv
+source toxenv/bin/activate
+pip install virtualenv==16.3.0 tox
+
+tox -e devenv
+# If jenkins build, also run unit tests, generate docs, etc
+if [ $JENKINS_BUILD == 1 ]; then
+ tox
+ tox -e doc
+fi
+
+deactivate
+rm -rf toxenv
+
+source env/bin/activate